--公会系统 交易行 交易日志Window
Lua_AllianceDealLogWindow = class("Lua_AllianceDealLogWindow", Lua_Window);

function Lua_AllianceDealLogWindow:ctor()
	self:superCall("ctor");

	self.showBlackMask = true;
	self.isClickClose = true;

	self.windowName = "Lua_AllianceDealLogWindow";
	self.skinName = "AllianceDealLogWindow_skin";
end

function Lua_AllianceDealLogWindow:buildPanel(go)
	self:superCall("buildPanel", go);
	self:addLuaEvent("UPDATE_LEAGUE_DEAL_LOG", self, self.updateData);
	self:addLuaEvent("CLOSE_LEAGUE_OTHER_WINDOW", self, self.hide);
end

function Lua_AllianceDealLogWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.logList = Lua_DragList.new(self.content, 627, 715, Lua_AxisDefine.Vertical);
	self.logList:setListCell(Lua_AllianceDealLogItem, 627, 110, 1);
	self.logList:setLocation(0, -60, 0);

	Lua_ProxyManager.getProxy("Lua_AllianceProxy"):sLeagueDealLog(DataCenter.allianceData.curSelectType);
end

function Lua_AllianceDealLogWindow:dispose()
	if self.logList ~= nil then
		self.logList:dispose();
		self.logList = nil;
	end
	self:superCall("dispose");
end

function Lua_AllianceDealLogWindow:updateData(list)
	self.logList:setArrayData(list);
end






















Lua_AllianceDealLogItem = class("Lua_AllianceDealLogItem", Lua_ListCell);

function Lua_AllianceDealLogItem:ctor(p)
	self:superCall("ctor", p, "AllianceDealLogItem_skin");
end

function Lua_AllianceDealLogItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_AllianceDealLogItem:dispose()
	self:superCall("dispose");
end

function Lua_AllianceDealLogItem:setData(data)
	local str = Lua_TimeTransform.transSeconds7(data.value) .. data.key;
	self.showTxt.text = Lua_ColorDefine.getColorStr("634e46", str);
end
